com.hazelcast.hotrestart

## Enum BackupTaskState

- java.lang.Object
- - java.lang.Enum<BackupTaskState>
  - - com.hazelcast.hotrestart.BackupTaskState

- All Implemented Interfaces:
    Serializable, Comparable<BackupTaskState>

      public enum BackupTaskState
      extends Enum<BackupTaskState>

  The state of the hot restart backup task

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE` The backup task has failed
    `IN_PROGRESS` The backup task is currently in progress
    `NO_TASK` No backup task has yet been run
    `NOT_STARTED` The backup task has been submitted but not yet started.
    `SUCCESS` The backup task completed successfully

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `inProgress()` Returns if the backup task is in progress.
    `boolean` | `isDone()` Returns true if the backup task completed (successfully or with failure)
    `static BackupTaskState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BackupTaskState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_TASK

          public static final BackupTaskState NO_TASK

      No backup task has yet been run

    - #### NOT_STARTED

          public static final BackupTaskState NOT_STARTED

      The backup task has been submitted but not yet started.

    - #### IN_PROGRESS

          public static final BackupTaskState IN_PROGRESS

      The backup task is currently in progress

    - #### FAILURE

          public static final BackupTaskState FAILURE

      The backup task has failed

    - #### SUCCESS

          public static final BackupTaskState SUCCESS

      The backup task completed successfully

  - ### Method Detail

    - #### values

          public static BackupTaskState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BackupTaskState c : BackupTaskState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BackupTaskState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isDone

          public boolean isDone()

      Returns true if the backup task completed (successfully or with failure)

    - #### inProgress

          public boolean inProgress()

      Returns if the backup task is in progress. The task could also not be started yet but will be.

Copyright © 2019. All rights reserved.